public inbox for dwz@sourceware.org
 help / color / mirror / Atom feed
From: Tom de Vries <tdevries@suse.de>
To: dwz@sourceware.org, jakub@redhat.com
Subject: [PATCH, committed] Add more test-cases
Date: Tue, 01 Jan 2019 00:00:00 -0000	[thread overview]
Message-ID: <20190304072113.GA14912@delia> (raw)

Hi,

Add test-cases excercising the -o, -r, and -M options.

Committed as obvious.

Thanks,
- Tom

Add more test-cases

2019-03-04  Tom de Vries  <tdevries@suse.de>

	* testsuite/dwz.tests/multifile-name.sh: New test.
	* testsuite/dwz.tests/multifile-relative.sh: New test.
	* testsuite/dwz.tests/regular-o.sh: New test.

---
 testsuite/dwz.tests/multifile-name.sh     | 20 ++++++++++++++++++++
 testsuite/dwz.tests/multifile-relative.sh | 20 ++++++++++++++++++++
 testsuite/dwz.tests/regular-o.sh          | 17 +++++++++++++++++
 3 files changed, 57 insertions(+)

diff --git a/testsuite/dwz.tests/multifile-name.sh b/testsuite/dwz.tests/multifile-name.sh
new file mode 100755
index 0000000..26d2ed3
--- /dev/null
+++ b/testsuite/dwz.tests/multifile-name.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+cp ../hello 1
+cp ../hello 2
+
+dwz -m 3 -M /xxx/yyy/3 1 2
+
+smaller-than.sh 1 ../hello
+smaller-than.sh 2 ../hello
+
+ls=$(ls)
+ls=$(echo $ls)
+[ "$ls" = "1 2 3" ]
+
+[ $(gnu-debugaltlink-name.sh 1) = "/xxx/yyy/3" ]
+[ $(gnu-debugaltlink-name.sh 2) = "/xxx/yyy/3" ]
+
+rm -f 1 2 3
diff --git a/testsuite/dwz.tests/multifile-relative.sh b/testsuite/dwz.tests/multifile-relative.sh
new file mode 100755
index 0000000..9b13d43
--- /dev/null
+++ b/testsuite/dwz.tests/multifile-relative.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+cp ../hello 1
+cp ../hello 2
+
+dwz -m $(pwd -P)/3 -r 1 2
+
+smaller-than.sh 1 ../hello
+smaller-than.sh 2 ../hello
+
+ls=$(ls)
+ls=$(echo $ls)
+[ "$ls" = "1 2 3" ]
+
+[ $(gnu-debugaltlink-name.sh 1) = "3" ]
+[ $(gnu-debugaltlink-name.sh 2) = "3" ]
+
+rm -f 1 2 3
diff --git a/testsuite/dwz.tests/regular-o.sh b/testsuite/dwz.tests/regular-o.sh
new file mode 100755
index 0000000..0a44a52
--- /dev/null
+++ b/testsuite/dwz.tests/regular-o.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+cp ../hello 1
+
+dwz 1 -o 2
+
+cmp 1 ../hello
+
+smaller-than.sh 2 1
+
+ls=$(ls)
+ls=$(echo $ls)
+[ "$ls" = "1 2" ]
+
+rm -f 1 2

                 reply	other threads:[~2019-03-04  7:20 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20190304072113.GA14912@delia \
    --to=tdevries@suse.de \
    --cc=dwz@sourceware.org \
    --cc=jakub@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).